*This code has been reviewed to ensure no confidential information has been disclosed. The Disclosure Review Board release number is DRB-BOO62-CED-20190627.

set more off
use /redacted/acs2010_pallvars.dta, clear
sort cmid pnum
save /redacted/acs2010_pallvars.dta, replace

use /redacted/acs2010_hallvars.dta, clear
sort cmid
save /redacted/acs2010_hallvars.dta, replace

use /redacted/acs2010_pallvars.dta, clear

/*list of remaining variables to keep*/
keep cmid pnum wgt rel ccs cty ur dphy disnum fer gcl ind jwmn jwtr lanx mar ///
marhd marhm marht mig mil nwab nwav nwla nwre pa pob sch ss ti wag wkh ///
wkl wkw pov
/*List of variables already created:
cmid mafid tract acs_response cen_response length noncit_h acs_pop ///
female race2 race3 race4 age_25_34 age_35_44 age_45_54 age_55_64 age_65p ///
lage lage_sq highschool bachelor grad work jobsearch lyrs_in_us lyrs_in_us_sq ///
english1 english2 english3 english4 final_pop lhinc lhinc_sq inc_resp wgt ///
hinc_25 hinc_50 hinc_75 hinc_100 hinc_100p worksametr hwage classofworker ///
healthcoverage occupation yasamecty restaxind rename relative relationship*/
gen urbind = 0
replace urbind=1 if ur=="U"
replace urbind=0 if ur=="R"

local acsvars ccs cty urbind dphy disnum fer gcl ind jwmn jwtr lanx mar ///
marhd marhm marht mig mil nwab nwav nwla nwre pa pob sch ss ti wag wkh ///
wkl wkw pov

rename rel relationship
destring relationship, force replace

/*make ref person vars*/
foreach x in `acsvars' {
destring `x', force replace
gen `x'_r=`x' if relationship==0
} 

sort cmid
foreach x in `acsvars' {
by cmid: egen `x'_ref=min(`x'_r)
}

drop *_r
keep if relationship==0
sort cmid

rename ccs_ref ccs_ref_d
rename cty_ref cty_ref_d
rename urbind_ref urbind_ref_d
replace dphy_ref = 0 if dphy_ref==.
rename dphy_ref dphy_ref_d
rename disnum_ref disnum_ref_c
replace fer_ref = 0 if fer_ref==.
rename fer_ref fer_ref_d
replace gcl_ref = 0 if gcl_ref==.
rename gcl_ref gcl_ref_d
replace ind_ref = 0000 if ind_ref==.
rename ind_ref ind_ref_d
replace jwmn_ref=0 if jwmn_ref==.
rename jwmn_ref jwmn_ref_c
replace jwtr_ref = 0 if jwtr_ref==.
rename jwtr_ref jwtr_ref_d
rename lanx_ref lanx_ref_d
rename mar_ref mar_ref_d
replace marhd_ref=0 if marhd_ref==.
rename marhd_ref marhd_ref_d
replace marhm_ref=0 if marhm_ref==.
rename marhm_ref marhm_ref_d
replace marht_ref=0 if marht_ref==.
rename marht_ref marht_ref_d
replace mig_ref=0 if mig_ref==.
rename mig_ref mig_ref_d
replace mil_ref=0 if mil_ref==.
rename mil_ref mil_ref_d
replace nwab_ref=0 if nwab_ref==.
rename nwab_ref nwab_ref_d
replace nwav_ref=0 if nwav_ref==.
rename nwav_ref nwav_ref_d
replace nwla_ref=0 if nwla_ref==.
rename nwla_ref nwls_ref_d
replace nwre_ref=0 if nwre_ref==.
rename nwre_ref nwre_ref_d
replace pa_ref=0 if pa_ref==.
rename pa_ref pa_ref_c
rename pob_ref pob_ref_d
replace sch_ref=0 if sch_ref==.
rename sch_ref sch_ref_d
replace ss_ref=0 if ss_ref==.
rename ss_ref ss_ref_c
replace ti_ref=0 if ti_ref==.
rename ti_ref ti_ref_c
replace wag_ref=0 if wag_ref==.
rename wag_ref wag_ref_c
replace wkh_ref = 0 if wkh_ref==.
rename wkh_ref wkh_ref_c
replace wkl_ref = 0 if wkl_ref==.
rename wkl_ref wkl_ref_d
replace wkw_ref = 0 if wkw_ref==.
rename wkw_ref wkw_ref_d
replace pov_ref = 0 if pov_ref==.
rename pov_ref pov_ref_d

save /redacted/acs_cit2010_pallvars.dta, replace

use /redacted/acs2010_hallvars.dta, clear
keep cmid bld fs ele gas mrg mvy rms rnt npf noc hupa ten ins mhc veh partner wih

destring bld, force replace
rename bld bld_d
destring fs, force replace
rename fs fs_d
rename ele ele_c
rename gas gas_c
replace mrg = 0 if mrg==.
rename mrg mrg_c
rename mvy mvy_d
rename rms rms_c
replace rnt = 0 if rnt==.
rename rnt rnt_c
replace npf=1 if npf==.
rename npf npf_c
rename noc noc_c
destring hupa, force replace
rename hupa hupa_d
replace ins=0 if ins==.
rename ins ins_c
rename mhc mhc_c
destring veh, force replace
rename veh veh_d
destring partner, force replace
rename partner partner_d
rename wih wih_c
destring ten, force replace
rename ten ten_d

merge 1:1 cmid using /redacted/acs_cit2010_pallvars.dta, keep(match)

save /redacted/acs_cit2010_allvars.dta, replace
