*This code has been reviewed to ensure no confidential information has been disclosed. The Disclosure Review Board release number is DRB-BOO62-CED-20190627.

libname num2017 '/redacted';
libname acsxw17 '/redacted';
libname data '/redacted';
libname acs17 '/redacted';
libname acs1216 '/redacted';
libname output '/redacted';

data num17;
set num2017.cnum_2017 (keep=pik dodcc dobyy dobcc citizen alien pobfin citizyy citizcc ocycc ocyyy cyyy cycc);
by=input(dobyy,2.);
bc=input(dobcc,2.);
birthyear=by+bc*100;
city=input(citizyy,2.);
citc=input(citizcc,2.);
cityear=city+citc*100;
appy=input(ocyyy,2.);
appc=input(ocycc,2.);
ssnappyr=appy+appc*100;
lasty=input(cyyy,2.);
lastc=input(cycc,2.);
ssnlastyr=lasty+lastc*100;
if citizen="" then num_blank=1;
else num_blank=0;
if citizen="A" | (citizen="" & pobfin ne "*") then num_cit=1;
else num_cit=0;
if citizen="" & pobfin="*" then num_cit=.;
run;

data acs;
set acs17.acs2017_vpers_1yr (keep=cmid pnum pwgt wgt cit fcit rel fsex fage hsgp cenrace panel rdate mode st cty tr bg imo gq age pov mar sex dby eng nwlk wrk schl lanx
yoe citw);
if cit in ("1" "2" "3" "4") then acs_cit=1;
if cit="5" then acs_cit=0;
if st ne "72";
run;

proc sort data=acs;
by cmid pnum;
run;

data acsxw17;
set acsxw17.crosswalk_acs2017 (keep=cmid pnum pik);
run;

proc sort data=acsxw17;
by cmid pnum;
run;

data acsxw_itin;
set data.acs_2010_crosswalk_subset (keep=cmid pnum);
itin=1;
run;

data acs2017_scores;
set acsxw17.crosswalk_acs2017_pvscore;
run;

proc sort data=acs2017_scores;
by cmid pnum;
run;

proc sort data=acsxw_itin;
by cmid pnum;
run;

data acspiks;
merge acs (in=a) acsxw17 (in=b) acsxw_itin (in=c) acs2017_scores;
by cmid pnum;
if a;
run;

proc sort data=num17;
by pik;
run;

proc sort data=acspiks;
by pik;
run;

data acs_cit2017 (drop=rac hisp relat);
merge acspiks (in=a) num17 (in=b);
by pik;
if a;
if itin=1 then num_cit=0;
if num_cit=1 & acs_cit=1 & fcit="00" then agree=1;
if num_cit=0 & acs_cit=1 & fcit="00" then agree=2;
if num_cit=. & acs_cit=1 & fcit="00" then agree=3;
if num_cit=1 & acs_cit=0 & fcit="00" then agree=4;
if num_cit=0 & acs_cit=0 & fcit="00" then agree=5;
if num_cit=. & acs_cit=0 & fcit="00" then agree=6;
if num_cit=1 & fcit ne "00" then agree=7;
if num_cit=0 & fcit ne "00" then agree=8;
if num_cit=. & fcit ne "00" then agree=9;
relat=input(rel,2.);
if relat=0 | gq="1" then relationship=0;
if (relat>0 & relat<=10) | relat=13 | relat=14 then relationship=1;
if relat=11 | relat=12 | relat=15 then relationship=2; 
rac=input(cenrace,2.);
hisp=input(hsgp,1.);
if rac=1 then race=1;
if rac=2 then race=2;
if hisp>=2 & hisp<=7 then race=3;
if rac>=3 & hisp=1 then race=4;
run;

proc export data=acs_cit2017
outfile="/redacted/acs_cit2017.dta"
dbms=dta replace;
run; 

data acs;
set acs17.acs2017_vhous_1yr (keep=cmid hwgt hinc bld mvy ten source np);
run;

proc export data=acs
outfile="/redacted/acs2017_hh.dta"
dbms=dta replace;
run; 

data acs;
set acs17.acs2017_vpers_1yr (keep=cmid pnum repw0 repw1 repw2 repw3 repw4 repw5 repw6 repw7 repw8 repw9
repw10 repw11 repw12 repw13 repw14 repw15 repw16 repw17 repw18 repw19 repw20 repw21 repw22 repw23 repw24 repw25 repw26 repw27 repw28 repw29
repw30 repw31 repw32 repw33 repw34 repw35 repw36 repw37 repw38 repw39 repw40 repw41 repw42 repw43 repw44 repw45 repw46 repw47 repw48 repw49
repw50 repw51 repw52 repw53 repw54 repw55 repw56 repw57 repw58 repw59 repw60 repw61 repw62 repw63 repw64 repw65 repw66 repw67 repw68 repw69
repw70 repw71 repw72 repw73 repw74 repw75 repw76 repw77 repw78 repw79 repw80);
run;

proc export data=acs
outfile="/redacted/acs2017_pers_repw.dta"
dbms=dta replace;
run; 

data acscit1216;
set acs1216.vpers2016_5yr (keep=cmid pnum wgt pwgt st cty tr bg cit pov);
run;

proc export data=acscit1216
outfile="/redacted/acscit1216.dta"
dbms=dta replace;
run;

data acscit_hh1216;
set acs1216.vhous2016_5yr (keep=cmid st cty tr bg vacs hwgt);
run;

proc export data=acscit_hh1216
outfile="/redacted/acscit_hh1216.dta"
dbms=dta replace;
run;

data num17 (drop=pobfin);
set num2017.cnum_2017 (keep=pik pobst pobfin);
if pobfin="*";
run;

proc export data=num17
outfile="/redacted/num_pobst.dta"
dbms=dta replace;
run;

data acs;
set acs17.acs2017_vpers_1yr (keep=cmid pnum fage fanc fcow fddrs fdear fdis feng fesr ffer ffod fgcl fgcm fgcr fhicov fhis fimpr find
fjwd fjwmn fjwri fjwtr flan flanx fmar fmig fmil focc fpa fpern fpernpct fpincpct fpov fpow frel fschl fsex fti fwag fwkh fwkl fwkw);
run;

proc export data=acs
outfile="/redacted/acs2017_imp.dta"
dbms=dta replace;
run; 