*This code has been reviewed to ensure no confidential information has been disclosed. The Disclosure Review Board release number is DRB-BOO62-CED-20190627.

use /redacted/acs_cit2010.dta, clear
sort cmid pnum
save /redacted/acs_cit2010.dta, replace

use /redacted/acs2010_paddvars.dta, clear
sort cmid pnum
save /redacted/acs2010_paddvars.dta, replace

use /redacted/acs_cit2010.dta, clear
merge cmid pnum using /redacted/acs2010_paddvars.dta
drop _merge
save /redacted/acs_cit2010_addvars.dta, replace

use /redacted/acs2010_haddvars.dta, clear
sort cmid
save /redacted/acs2010_haddvars.dta, replace

use /redacted/acs_cit2010_addvars.dta, clear
sort cmid
save /redacted/acs_cit2010_addvars.dta, replace

use /redacted/acs_cit2010_addvars.dta, clear
merge cmid using /redacted/acs2010_haddvars.dta
drop _merge
save /redacted/acs_cit2010_addvars.dta, replace

use /redacted/acs_cit2010_addvars.dta, clear
sort cmid pnum
save /redacted/acs_cit2010_addvars.dta, replace

use /redacted/acs_cit2010_addvars.dta, clear
merge cmid pnum using /redacted/acs2010_dby.dta
drop _merge
sort cmid
merge cmid using /redacted/acs2010_hinc.dta
drop _merge
sort cmid pnum
gen acs_response=1 if mode=="1"
replace acs_response=0 if acs_response==.
keep if acs_response<. & cen_response<.
gen lon=1 if agree==1
replace lon=0 if agree~=1
gen noncit=1 if agree==2 | agree==5 | agree==8
replace noncit=0 if agree==1 | agree==4 | agree==7
rename relative relationship
gen wor=1 if wrk=="1" & relationship==0
replace wor=0 if wor==. & relationship==0
gen jobsearc=1 if nwlk=="1" & relationship==0
replace jobsearc=0 if jobsearc==. & relationship==0
/*new variables:*/
destring powt, force replace
gen worktr = powt if relationship==0
destring tr, force replace
gen restr = tr if relationship==0
gen worksamet = 0
replace worksamet = 1 if worktr==restr & worktr!=. & restr!=.

gen hwag = log(1+hrlywage) if relationship==0
destring cow, replace
gen wrkclass = cow if relationship==0


gen healthcov = 1 if hicov=="1" & relationship==0
replace healthcov = 0 if hicov=="2" & relationship==0

destring occ, force replace
gen occup = occ if relationship==0

destring ryacty, force replace
gen yarescty = ryacty if relationship==0
destring cty, replace
gen rescty = cty if relationship==0
gen samectyly = 0
replace samectyly = 1 if yarescty==rescty & yarescty~=. & rescty~=.

destring tax, force replace
gen restaxind = 1 if tax > 0 & tax~=.
replace restaxind = 0 if tax==0 | tax==.

gen restax = log(1+tax)

/*end of new variables*/
destring eng, force replace
replace eng=0 if lanx=="2" | eng==.
gen engl=eng if relationship==0
gen femal=0 if sex=="1" & relationship==0
replace femal=1 if sex=="2" & relationship==0
gen lag=log(age+1) if relationship==0
gen lage_s=lag^2 if relationship==0
destring schl, force replace
gen highschoo=1 if schl>=16 & schl<=20 & relationship==0
replace highschoo=0 if highschoo==. & relationship==0
gen bachelo=1 if schl==21 & relationship==0
replace bachelo=0 if bachelo==. & relationship==0
gen gra=1 if schl>=22 & schl<=24 & relationship==0
replace gra=0 if gra==. & relationship==0
gen yrs_in_us=2010-yoe
replace yrs_in_us=2010-dby if yoe==.
gen lyrs_in_u=log(yrs_in_us+1) if relationship==0
gen lyrs_in_us_s=lyrs_in_u^2
gen rac2=1 if race==2  & relationship==0
replace rac2=0 if rac2==. & relationship==0
gen rac3=1 if race==3 & relationship==0
replace rac3=0 if rac3==. & relationship==0
gen rac4=1 if race==4 & relationship==0
replace rac4=0 if rac4==. & relationship==0
gen ag_25_34=1 if age>=25 & age<=34 & relationship==0
replace ag_25_34=0 if ag_25_34==. & relationship==0
gen ag_35_44=1 if age>=35 & age<=44 & relationship==0
replace ag_35_44=0 if ag_35_44==. & relationship==0
gen ag_45_54=1 if age>=45 & age<=54 & relationship==0
replace ag_45_54=0 if ag_45_54==. & relationship==0
gen ag_55_64=1 if age>=55 & age<=64 & relationship==0
replace ag_55_64=0 if ag_55_64==. & relationship==0
gen ag_65p=1 if age>=65 & age<. & relationship==0
replace ag_65p=0 if ag_65p==. & relationship==0
gen lhinc=log(hinc+1)
gen lhinc_sq=lhinc^2
gen inc_resp=1 if lhinc<.
replace inc_resp=0 if lhinc==.
replace lhinc=0 if lhinc==.
replace lhinc_sq=0 if lhinc_sq==.
sort cmid
by cmid: egen acs_pop=count(pnum)
by cmid: egen lon_=sum(lon)
by cmid: egen cnt=count(lon)
gen length=1 if cnt==lon_ & cnt>0 & cnt<.
replace length=0 if length==.
by cmid: egen noncit_=sum(noncit)
by cmid: egen noncit_cnt=count(noncit)
gen noncit_h=1 if noncit_>0 & noncit_<.
replace noncit_h=0 if noncit_h==. & acs_pop==noncit_cnt
by cmid: egen work=min(wor)
by cmid: egen jobsearch=min(jobsearc)
/*new vars*/
by cmid: egen worksametr=min(worksamet)
by cmid: egen hwage=min(hwag)
by cmid: egen classofworker=min(wrkclass)
by cmid: egen healthcoverage=min(healthcov)
by cmid: egen occupation=min(occup)
by cmid: egen yasamecty=min(samectyly)

by cmid: egen english=min(engl)
by cmid: egen female=min(femal)
by cmid: egen lage=min(lag)
by cmid: egen lage_sq=min(lage_s)
by cmid: egen age_25_34=min(ag_25_34)
by cmid: egen age_35_44=min(ag_35_44)
by cmid: egen age_45_54=min(ag_45_54)
by cmid: egen age_55_64=min(ag_55_64)
by cmid: egen age_65p=min(ag_65p)
by cmid: egen highschool=min(highschoo)
by cmid: egen bachelor=min(bachelo)
by cmid: egen grad=min(gra)
by cmid: egen lyrs_in_us=min(lyrs_in_u)
by cmid: egen lyrs_in_us_sq=min(lyrs_in_us_s)
by cmid: egen race2=min(rac2)
by cmid: egen race3=min(rac3)
by cmid: egen race4=min(rac4)
gen english1=1 if english==1
replace english1=0 if english1==.
gen english2=1 if english==2
replace english2=0 if english2==.
gen english3=1 if english==3
replace english3=0 if english3==.
gen english4=1 if english==4
replace english4=0 if english4==.
gen hinc_25=1 if hinc>0 & hinc<=25000
replace hinc_25=0 if hinc_25==.
gen hinc_50=1 if hinc>25000 & hinc<=50000
replace hinc_50=0 if hinc_50==.
gen hinc_75=1 if hinc>50000 & hinc<=75000
replace hinc_75=0 if hinc_75==.
gen hinc_100=1 if hinc>75000 & hinc<=100000
replace hinc_100=0 if hinc_100==.
gen hinc_100p=1 if hinc>100000 & hinc<.
replace hinc_100p=0 if hinc_100p==.

keep cmid mafid tract acs_response cen_response length noncit_h acs_pop ///
female race2 race3 race4 age_25_34 age_35_44 age_45_54 age_55_64 age_65p lage lage_sq highschool bachelor grad work jobsearch lyrs_in_us ///
lyrs_in_us_sq english1 english2 english3 english4 final_pop lhinc lhinc_sq inc_resp wgt hinc_25 hinc_50 hinc_75 hinc_100 hinc_100p ///
worksametr hwage classofworker healthcoverage occupation yasamecty restaxind
duplicates drop cmid, force
save /redacted/acs_cen_response_addvars.dta, replace

use /redacted/acs2010_hu_repw.dta, clear
sort cmid
save /redacted/acs2010_hu_repw_addvars.dta, replace

use /redacted/acs_cen_response_addvars.dta, clear
sort cmid
merge cmid using /redacted/acs2010_hu_repw_addvars.dta
drop _merge
sort cmid
gen response=acs_response-cen_response
gen concern=1-length
gen lpop=log(acs_pop)
gen lpop_sq=lpop^2
save /redacted/acs_cen_response_regs_addvars.dta, replace

use "/redacted/acs_cen_cnum_mafid.dta", clear
keep cmid citvar_cnum responsevar_acs responsevar_cen
sort cmid
merge cmid using /redacted/acs_cen_response_regs_addvars.dta
drop _merge
sort cmid
save /redacted/acs_cen_response_regs_addvars.dta, replace

cf cmid citvar_cnum noncit_h length using /redacted/acs_cen_response_regs.dta, verbose

log close
