*This code has been reviewed to ensure no confidential information has been disclosed. The Disclosure Review Board release number is DRB-BOO62-CED-20190627.

libname cuf "redacted";
libname cenxwlk "redacted";
libname output "redacted";

/* Produce person and hh-level Census (cuf) data merged to crosswalk (Mafid and PIK) */
/* Outputs output.clean_census_pik, output.clean_census_pik_short, and output.clean_census_mafid  */
data clean_hu_per_rps;
    set cuf.pp10_hu_per_rps (keep = CUF_PNC MAFID COLBLKST);
    length CUF_PNC_char $5;
    CUF_PNC_char=put(CUF_PNC, z5.);
    length MAFID_char $9;
    MAFID_char=put(MAFID, z9.);
    carra_uid = cat(COLBLKST, MAFID_char, CUF_PNC_char);
run;
proc sort data=clean_hu_per_rps;
    by MAFID;
run;


data clean_pp10_op;
    set cuf.pp10_op (keep = MAFID MOU MAIL_RETURN TEA OCCUPIED IQDCSTATUS FINAL_STATUS);
    run;
proc sort data=clean_pp10_op;
    by MAFID;
run;


* merge different census datatsets;
data output.clean_census_pik;
    merge clean_hu_per_rps (in=a) clean_pp10_op (in=b);
    by MAFID;
    if (a) then in_huper=1;
    else in_huper=0;
    if (b) then in_op=1;
    else in_op=0;
    run;


* merge pik crosswalk;
proc sort data=output.clean_census_pik;
    by carra_uid;
run;
data output.clean_census_pik;
    merge output.clean_census_pik (in=a) cenxwlk.cuf_2010_crosswalk (in=b);
    by carra_uid;
    if (a) then in_cen=1;
    else in_cen=0;
    if (b) then in_xwlk=1;
    else in_xwlk=0;
    run;

* clean and generate new responsevar_cen;
data output.clean_census_pik_short;
	set output.clean_census_pik (keep = pik MAFID MOU MAIL_RETURN TEA OCCUPIED IQDCSTATUS FINAL_STATUS in_huper in_op in_cen in_xwlk COLBLKST);
	if in_huper=1 and in_op=1 and in_cen=1 and in_xwlk=1 and OCCUPIED=1 and MOU=1 and COLBLKST~='72';
	if IQDCSTATUS >= 1 and IQDCSTATUS<=64 then responsevar_cen=1;
	else responsevar_cen=0;
	run;


* now generate mafid level dataset;
proc sort data=output.clean_census_pik_short;
 by MAFID pik descending responsevar_cen;
 run;

 data output.clean_census_mafid;
 set output.clean_census_pik_short;
 by MAFID pik;
 if last.MAFID;
 run;



