*This code has been reviewed to ensure no confidential information has been disclosed. The Disclosure Review Board release number is DRB-BOO62-CED-20190627.

libname ddata "redacted";
libname output "redacted";
libname pparc "redacted";


proc contents data = ddata.cnum_2010;
run;

* clean data;
data output.clean_cnum_pik;
    set ddata.cnum_2010 (keep = PIK CITIZEN ALIEN POBCITY POBFIN POBST);
    pik = PIK;
    citvar_cnum = 0;
    if CITIZEN = 'A' then citvar_cnum = 1;
    if CITIZEN = '' then citvar_cnum = 1;
run;


* first merge crosswalk;
proc sort data=output.clean_cnum_pik;
    by pik;
run;
proc sort data=pparc.pparc;
    by pik;
run;
data output.clean_cnum_mafid;
    merge output.clean_cnum_pik (in=a) pparc.pparc (in=b);
    by pik;
    if a=1 and b=1;
    run;	

* now generate mafid level dataset;
proc sort data=output.clean_cnum_mafid;
 by mafid pik descending citvar_cnum;
 run;
 data output.clean_cnum_mafid;
 set output.clean_cnum_mafid;
 by mafid pik;
 if last.mafid;
 run;

