*This code has been reviewed to ensure no confidential information has been disclosed. The Disclosure Review Board release number is DRB-BOO62-CED-20190627.

clear 
set more off
use /redacted/acs2010_pers_repw.dta, clear
sort cmid pnum
save /redacted/acs2010_pers_repw.dta, replace
use /redacted/acs_cit2010.dta, clear
merge cmid pnum  using /redacted/acs2010_pers_repw.dta
drop _merge
sort cmid pnum
gen female_mar=1 if female==1 & married==1
replace female_mar=0 if female_mar==.
gen female_unmar=1 if female==1 & married==0
replace female_unmar=0 if female_unmar==.
gen male_mar=1 if female==0 & married==1
replace male_mar=0 if male_mar==.
gen male_unmar=1 if female==0 & married==0
replace male_unmar=0 if male_unmar==.
gen age_=age if relationship==0
by cmid: egen ager=min(age_)
gen age_below_25=1 if ager<25
replace age_below_25=0 if ager>=25 & ager<.
gen age_25_34=1 if ager>=25 & ager<=34
replace age_25_34=0 if ager<25 | (ager>=35 & ager<.)
gen age_35_44=1 if ager>=35 & ager<=44
replace age_35_44=0 if ager<35 | (ager>=45 & ager<.)
gen age_45_54=1 if ager>=45 & ager<=54
replace age_45_54=0 if ager<45 | (ager>=55 & ager<.)
gen age_55_64=1 if ager>=55 & ager<=64
replace age_55_64=0 if ager<55 | (ager>=65 & ager<.)
gen age_65p=1 if ager>=65 & ager<.
replace age_65p=0 if ager<65
gen acs_response=1 if mode=="1"
replace acs_response=0 if acs_response==.
drop ager age_
keep if relationship==0
duplicates drop cmid, force
merge cmid using /redacted/acs2010_mafid.dta
drop if _merge==2
drop _merge
sort cmid
gen response=acs_response-cen_response


preserve
keep cmid noncit_hh_sh hpov_sh workadult pop_density pop_density_miss vacant_sh age_0_4_rel age_0_4_nonrel age_5_17_rel age_5_17_nonrel adult_nonrel move_1 move_2_5 multi_unit single_unit other_residence owned female_mar female_unmar male_mar male_unmar
save /redacted/unit_resp_regs_2010.dta, replace
restore

global rhs "owned age_25_34 age_35_44 age_45_54 age_55_64 age_65p female_mar female_unmar male_mar race2 race3 race4 non_ling_iso_hh ling_iso_hh age_0_4_rel age_0_4_nonrel age_5_17_rel age_5_17_nonrel adult_nonrel vacant_sh highschool bachelor grad hinc_25 hinc_50 hinc_75 hinc_100 hinc_100p lpop lpop_sq move_1 move_2_5 single_unit multi_unit pop_density pop_density_miss hpov_sh workadult noncit_hh_sh"

log using "/redacted/unit obdecomposition 2010 20190306 disc.log", replace
svyset[pw=wgt], vce(bootstrap) bsrweight(repw1-repw80) mse
replace response=response*100

oaxaca response $rhs, by(all_cit_hh) weight(0) noisily categorical(race1 race2 race3 race4, age_below_25 age_25_34 age_35_44 age_45_54 age_55_64 age_65p, female_mar female_unmar male_mar male_unmar, below_hs highschool bachelor grad, hinc_below_25 hinc_25 hinc_50 hinc_75 hinc_100 hinc_100p, only_eng_hh non_ling_iso_hh ling_iso_hh, other_residence single_unit multi_unit) xb
gen sample=1 if e(sample)


svyset[pw=wgt], vce(brr) brrweight(repw1-repw80) fay(.5)mse
svy: mean cen_response acs_response if all_cit_hh==1 & sample==1
svy: mean cen_response acs_response if all_cit_hh==0 & sample==1
svyset[pw=wgt], vce(bootstrap) bsrweight(repw1-repw80) mse
svy: bootstrap: oaxaca response $rhs, by(all_cit_hh) weight(0) noisily categorical(race1 race2 race3 race4, age_below_25 age_25_34 age_35_44 age_45_54 age_55_64 age_65p, female_mar female_unmar male_mar male_unmar, below_hs highschool bachelor grad, hinc_below_25 hinc_25 hinc_50 hinc_75 hinc_100 hinc_100p, only_eng_hh non_ling_iso_hh ling_iso_hh, other_residence single_unit multi_unit) xb
svy: bootstrap: reg response $rhs if all_cit_hh==1
est save /redacted/unit_resp_model_20190311_1_disc.dta, replace
svy: bootstrap: reg response $rhs if all_cit_hh==0
est save /redacted/unit_resp_model_20190311_2_disc.dta, replace

log close


