*This code has been reviewed to ensure no confidential information has been disclosed. The Disclosure Review Board release number is DRB-BOO62-CED-20190627.

clear 
set more off
use /redacted/acs2017_pers_repw.dta, clear
sort cmid pnum
save /redacted/acs2017_pers_repw.dta, replace
use /redacted/acs_cit2017.dta, clear
merge cmid pnum  using /redacted/acs2017_pers_repw.dta
drop _merge
sort cmid pnum
destring mar, force replace
gen female_mar=1 if female==1 & mar==1
replace female_mar=0 if female_mar==.
gen female_unmar=1 if female==1 & mar==0
replace female_unmar=0 if female_unmar==.
gen male_mar=1 if female==0 & married==1
replace male_mar=0 if male_mar==.
gen male_unmar=1 if female==0 & married==0
replace male_unmar=0 if male_unmar==.
gen age_=age if relationship==0
by cmid: egen ager=min(age_)
gen age_below_25=1 if ager<25
replace age_below_25=0 if ager>=25 & ager<.
gen age_25_34=1 if ager>=25 & ager<=34
replace age_25_34=0 if ager<25 | (ager>=35 & ager<.)
gen age_35_44=1 if ager>=35 & ager<=44
replace age_35_44=0 if ager<35 | (ager>=45 & ager<.)
gen age_45_54=1 if ager>=45 & ager<=54
replace age_45_54=0 if ager<45 | (ager>=55 & ager<.)
gen age_55_64=1 if ager>=55 & ager<=64
replace age_55_64=0 if ager<55 | (ager>=65 & ager<.)
gen age_65p=1 if ager>=65 & ager<.
replace age_65p=0 if ager<65
drop ager age_
keep if relationship==0
duplicates drop cmid, force

log using "/redacted/unit obdecomposition 2017 acs 20190306 disc_newest.log", replace

est use /redacted/unit_resp_model_20190311_1_disc.dta
predict model1
predict model1_se, stdp
est use /redacted/unit_resp_model_20190311_2_disc.dta
predict model2
predict model2_se, stdp

tab all_cit_hh

svyset[pw=wgt], vce(brr) brrweight(repw1-repw80) fay(.5)mse
svy: mean all_cit_hh
sum model1 model1_se [fw=wgt] if all_cit_hh==1
sum model1 model1_se model2 model2_se [fw=wgt] if all_cit_hh==0
sum model1 model1_se model2 model2_se if all_cit_hh==0

log close

